﻿namespace Hotline.Share.Dtos.Knowledge
{
    /// <summary>
    /// 编辑
    /// </summary>
    public record UpdateKnowledgeDto : KnowledgeDto
    {
        /// <summary>
        /// ID
        /// </summary>
        public string Id { get; set; }
    }

    /// <summary>
    /// 新增知识
    /// </summary>
    public record AddKnowledgeDto : KnowledgeDto
    {
        /// <summary>
        /// 知识编号
        /// </summary>
        public string Code { get; set; }
    }

    /// <summary>
    /// 新增
    /// </summary>
    public record KnowledgeDto
    {
        /// <summary>
        /// 知识分类
        /// </summary>
        public string KnowledgeTypeId { get; set; }

        /// <summary>
        /// 热点
        /// </summary>
        public string HotspotId { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 摘要
        /// </summary>
        public string Summary { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 是否公开
        /// </summary>
        public bool IsPublic { get; set; }

        /// <summary>
        /// 下架时间-到期时间
        /// </summary>
        public DateTime? OffShelfTime { get; set; }

        /// <summary>
        /// 关键词
        /// </summary>
        public string Keywords { get; set; }

        /// <summary>
        /// 附件
        /// </summary>
        public List<string> Additions { get; set; }

        /// <summary>
        /// 关联知识申请
        /// </summary>
        public List<string> Applies { get; set; }

        /// <summary>
        /// 关联知识
        /// </summary>
        public List<string> Knowledges { get; set; }
    }
}
