﻿using Hotline.Share.Requests;

namespace Hotline.Share.Dtos.Knowledge
{
    /// <summary>
    /// 我的草稿箱
    /// </summary>
    /// <param name="CreateUserId"></param>
    /// <param name="KnowledgeTypeId"></param>
    /// <param name="StartTime"></param>
    /// <param name="EndTime"></param>
    public record KnowledgeBasePagedDto : PagedRequest
    {
        /// <summary>
        /// 
        /// </summary>
        public string? KnowledgeTypeId { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string? Title { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public DateTime? StartTime { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public DateTime? EndTime { get; set; }
    }

    /// <summary>
    /// 草稿箱
    /// </summary>
    public record MyDraftsListPagedDto(string? CreateUserId) : KnowledgeBasePagedDto;

    /// <summary>
    /// 知识库
    /// </summary>
    /// <param name="CreateUserName"></param>
    /// <param name="CreateBMName"></param>
    /// <param name="CreateBMCode"></param>
    /// <param name="HotspotId"></param>
    public record KnowledgePagedListDto(string? CreateUserName, string? CreateBMName, string? CreateBMCode, string? HotspotId) : KnowledgeBasePagedDto;

    /// <summary>
    /// 审核管理
    /// </summary>
    /// <param name="UserId"></param>
    /// <param name="AuditType"></param>
    /// <param name="Title"></param>
    /// <param name="CreateUserName"></param>
    /// <param name="CreateBMName"></param>
    public record KnowledgeApprovalPagedListDto(string UserId, string? AuditType, string? Title, string? CreateUserName, string? CreateBMName) : PagedRequest;
}
