﻿using Hotline.Settings;
using Hotline.Share.Enums.KnowledgeBase;
using Hotline.Users;
using Microsoft.AspNetCore.Authentication;
using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.KnowledgeBase;

/// <summary>
/// 申请
/// </summary>
public class KnowledgeApply : FullStateEntity
{
    /// <summary>
    /// 内容
    /// </summary>
    public string Content { get; set; }

    /// <summary>
    /// 申请类型
    /// </summary>
    public EKnowledgeApplyType KnowledgeApplyType { get; set; }

    /// <summary>
    /// 申请状态
    /// </summary>
    public EKnowledgeApplyStatus Status { get; set; }

    /// <summary>
    /// 申请处理部门编码
    /// </summary>
    public string DepartmentCode { get; set; }

    /// <summary>
    /// 申请处理部门名称
    /// </summary>
    public string Department { get; set; }

    /// <summary>
    /// 截止时间
    /// </summary>
    public DateTime? ExpiredTime { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [Navigate(NavigateType.OneToOne, nameof(CreateUserId))]//一对一 CreateUserId是KnowledgeApply类里面的
    public User User { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [Navigate(NavigateType.OneToOne, nameof(OrgId))]//一对一 
    public SystemOrganize SystemOrganize { get; set; } 


    ///// <summary>
    ///// 处理完成
    ///// </summary>
    //public Operation? Handled { get; set; }
}